Package jebl.evolution.align

# Class SequenceShuffler

java.lang.Object
jebl.evolution.align.SequenceShuffler

public class SequenceShuffler extends Object
Shuffles a sequence and aligns it again multiple times to give mean and variance of alignments on random sequences.

Version:
  $Id: SequenceShuffler.java 185 2006-01-23 23:03:18Z rambaut $
Author:
  Richard Moir, Alexei Drummond

## Constructor Summary

Constructors
Constructor
Description
`SequenceShuffler()`

## Method Summary

Modifier and Type
Method
Description
`float`
`getMax()`
`float`
`getMean()`
`float`
`getMin()`
`double`
`getStdev()`
`void`
`setProgressMonitor(ProgressMonitor monitor)`
`void`
`shuffle(Align algorithm, String sq1, String sq2, int numShuffles)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SequenceShuffler

public SequenceShuffler()

## Method Details

### shuffle

public void shuffle(Align algorithm, String sq1, String sq2, int numShuffles)

### getMean

public float getMean()

Returns:
  the mean score of the shuffled alignments.

### getMax

public float getMax()

### getMin

public float getMin()

### getStdev

public double getStdev()

Returns:
  the standard deviation of scores for the shuffled alignments.

### setProgressMonitor

public void setProgressMonitor(ProgressMonitor monitor)